/merchant/wallets/:idRetrieve a Wallet by ID
getMerchantWalletsByIdV1https://a-api.coinpayments.net/api/v1/merchant/wallets/:idRequest
path parametersidstringpaththe id of the wallet
Responses
200 · 401 · 403Represents a wallet account on the CoinPayments® platform.
walletIdstringthe unique id of the wallet
283b271a2db744c0b10cwalletTypeunknownthe type of the wallet
currencyIdintegerthe id of the currency this wallet holds
int32Example1235isActivebooleanIndicates whether this wallet is active (not deleted or deactivated)
isLockedbooleanIndicates whether this wallet is locked due to legal reasons
labelstringthe user or system defined name of the wallet
My BitCoin Wallet 😀depositAddressstringnullablethe current (last) deposit address for the wallet (for crypto currency wallets)
confirmedBalanceunknownMonetary value (an amount with a currency).
unconfirmedBalanceunknownMonetary value (an amount with a currency).
unconfirmedNativeBalanceunknownMonetary value (an amount with a currency).
confirmedNativeBalanceunknownMonetary value (an amount with a currency).
contractAddressstringBlockchain address of the contract representing the token
nativeValuestringToken amount equivalent in native currency
nativeValueAsDecimalnumberProvides the native value of the token as a decimal, parsing from the string representation.
doublenativeCurrencyIdintegerThe currency identifier for the native currency used for value conversion
int32displayValuestringnullablethe value formatted for display
valuestringnullablethe amount of money, as an integer, in the currencies base (smallest) monetary unit. For example, Bitcoin which can be divided down to 8 decimal places is represented in Satoshi's, so 1 BTC would have a value of 100000000 and 0.00031 BTC a value of 31000. An amount of $9.99 USD would have the value 999 (i.e, 999 cents). Zero-decimal currencies such as the Yen would represent a value of ¥500 as 500.
31000currencyIdstringnullablethe currency the monetary `value` is represented in
1235valueAsDecimalnumberRepresents the monetary value as a decimal, allowing for precise calculations and storage.
doublecontractAddressstringBlockchain address of the contract representing the token
nativeValuestringToken amount equivalent in native currency
nativeValueAsDecimalnumberProvides the native value of the token as a decimal, parsing from the string representation.
doublenativeCurrencyIdintegerThe currency identifier for the native currency used for value conversion
int32displayValuestringnullablethe value formatted for display
valuestringnullablethe amount of money, as an integer, in the currencies base (smallest) monetary unit. For example, Bitcoin which can be divided down to 8 decimal places is represented in Satoshi's, so 1 BTC would have a value of 100000000 and 0.00031 BTC a value of 31000. An amount of $9.99 USD would have the value 999 (i.e, 999 cents). Zero-decimal currencies such as the Yen would represent a value of ¥500 as 500.
31000currencyIdstringnullablethe currency the monetary `value` is represented in
1235valueAsDecimalnumberRepresents the monetary value as a decimal, allowing for precise calculations and storage.
doublecanCreateAddressesbooleanflag that determines ability to create multiple addresses for same wallet
isVaultLockedbooleanflag that determines if the wallet vault is locked or not
vaultLockoutEndDateTimestringnullableDateTime that specifies the planned date the vault will be unlocked
date-timecontractAddressstringnullableAn optional address of the smart contract representing a token
hasPermanentAddressesbooleanIndicates whether generated deposit addresses for this wallet do not expire due to inactivity
hasActiveAddressbooleanIndicates whether the wallet currently has a non-empty active deposit address
clientIdstringnullableThe optional client identifier associated with this wallet (for multi-tenant/client contexts)
uuid